using AutoMapper;
using Common.Dtos.Company;
using Common.Dtos.Exper;
using Common.Dtos.Group;
using Common.Dtos.Prompt;
using Hushian.Domain.Entites;



namespace Hushian.Application
{
    public class MappingProfile : Profile
    {

        public MappingProfile(/*IUserService userService*/)
        {
            CreateMap<Company,ReadANDUpdate_CompanyDto>();
            CreateMap<Exper, Read_ExperDto>().ReverseMap();
            CreateMap<ADD_GroupDto, Group>();
            CreateMap<Group, Read_GroupDto>();
            CreateMap<ADD_PromptDto, Prompt>();
            CreateMap<Prompt, ReadANDUpdate_PromptDto>().ReverseMap();
        }
    }
}
